## broccoli-python 0.59+1

=== CMakeLists.txt ===
project(PyBroccoli C)
cmake_minimum_required(VERSION 2.6.3 FATAL_ERROR)
include(cmake/CommonCMakeConfig.cmake)

########################################################################
## Dependency Configuration

include(FindRequiredPackage)

FindRequiredPackage(Broccoli)
FindRequiredPackage(SWIG)
FindRequiredPackage(PythonInterp)
FindRequiredPackage(PythonDev)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/example.i "%module example %{%}")
execute_process(COMMAND ${SWIG_EXECUTABLE} -python
    ${CMAKE_CURRENT_BINARY_DIR}/example.i
    ERROR_VARIABLE SWIG_PYTHON_ERR)
if (SWIG_PYTHON_ERR)
    message(FATAL_ERROR "Swig installation doesn't support Python wrapper generation: ${SWIG_PYTHON_ERR}")
endif ()

if (MISSING_PREREQS)
    foreach (prereq ${MISSING_PREREQ_DESCS})
        message(SEND_ERROR ${prereq})
    endforeach ()
    message(FATAL_ERROR "Configuration aborted due to missing prerequisites")
endif ()

include_directories(BEFORE ${PYTHON_INCLUDE_DIR})
include_directories(BEFORE ${Broccoli_INCLUDE_DIR})

########################################################################
## Build Python Extension

include(UseSWIG)

swig_add_module(broccoli_intern python broccoli_intern.i)
swig_link_libraries(broccoli_intern ${Broccoli_LIBRARY} ${PYTHON_LIBRARIES})
set_source_files_properties(${swig_generated_file_fullname} PROPERTIES
                            COMPILE_FLAGS -fno-strict-aliasing)

########################################################################
## Install Files

if (NOT PY_MOD_INSTALL_DIR)
    # the configure wrapper was not used, default to "home" style installation
    set(PY_MOD_INSTALL_DIR lib/python)
endif ()

install(FILES broccoli.py
        DESTINATION ${PY_MOD_INSTALL_DIR})
install(TARGETS ${SWIG_MODULE_broccoli_intern_REAL_NAME}
        DESTINATION ${PY_MOD_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/broccoli_intern.py
        DESTINATION ${PY_MOD_INSTALL_DIR})

########################################################################
## Build Summary

if (CMAKE_BUILD_TYPE)
    string(TOUPPER ${CMAKE_BUILD_TYPE} BuildType)
endif ()

message(
    "\n================|  PyBroccoli Build Summary  |=================="
    "\n"
    "\nInstall dir:       ${PY_MOD_INSTALL_DIR}"
    "\nDebug mode:        ${ENABLE_DEBUG}"
    "\n"
    "\nCC:                ${CMAKE_C_COMPILER}"
    "\nCFLAGS:            ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_${BuildType}}"
    "\nCPP:               ${CMAKE_C_COMPILER}"
    "\n"
    "\n================================================================\n"
)

include(UserChangedWarning)

=== debian/changelog ===
broccoli-python (0.59+1-1) unstable; urgency=low

  * Initial release (Closes: #803571)

 -- Hilko Bengen <bengen@debian.org>  Sat, 31 Oct 2015 11:19:41 +0100

=== debian/control ===
Source: broccoli-python
Section: python
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 9), cmake,
 dh-python,
 libbroccoli-dev,
 python-dev,
 swig,
Standards-Version: 3.9.6
Homepage: http://www.bro.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/broccoli-python.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/broccoli-python.git;a=summary

Package: python-broccoli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python bindings for Broccoli
 This package provides Python bindings for Broccoli, Bro's client
 communication library. In general, the bindings provide the same
 functionality as Broccoli's C API.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/\
    https://www.bro.org/downloads/release/broccoli-python-(\d.*)\.tar\.gz \
    debian debian/edit-orig-tar.sh

## broccoli-python 0.61+1

=== debian/changelog ===
broccoli-python (0.61+1-1) unstable; urgency=medium

  * New upstream version
  * Update watch file
  * Rebase patches
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Nov 2016 10:44:56 +0100

## broccoli-python 0.62

=== debian/changelog ===
broccoli-python (0.62-1) unstable; urgency=medium

  * New upstream version 0.62

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Jul 2017 21:38:22 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libbroccoli-dev,
  python-dev,
  swig,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.bro.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/broccoli-python.git
 Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/broccoli-python.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with python2 --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DPYTHON_EXECUTABLE=/usr/bin/python -DPY_MOD_INSTALL_DIR=$(shell python -c \
		"import distutils.sysconfig; print (distutils.sysconfig.get_python_lib(1,0));")

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/\
    https://www.bro.org/downloads/broccoli-python-(\d.*)\.tar\.gz \
    debian debian/edit-orig-tar.sh

## broccoli-python 0.63

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,14 @@
 
 include(UseSWIG)
 
-swig_add_module(broccoli_intern python broccoli_intern.i)
+if ( CMAKE_VERSION VERSION_LESS 3.8.0 )
+    swig_add_module(broccoli_intern python broccoli_intern.i)
+else ()
+    swig_add_library(broccoli_intern
+                     LANGUAGE python
+                     SOURCES broccoli_intern.i)
+endif ()
+
 swig_link_libraries(broccoli_intern ${Broccoli_LIBRARY} ${PYTHON_LIBRARIES})
 set_source_files_properties(${swig_generated_file_fullname} PROPERTIES
                             COMPILE_FLAGS -fno-strict-aliasing)

=== Makefile ===
# Makefile not needed to build module. Use "python setup.py install" instead.

CLEAN=build broccoli_intern_wrap.c broccoli_intern.py README.html *.pyc build

all : broccoli_intern_wrap.c

broccoli_intern_wrap.c :  broccoli_intern.i
	swig -python -I../../src -o broccoli_intern_wrap.c broccoli_intern.i

clean:
	rm -rf $(CLEAN)

docs: README
	rst2html.py README >README.html

dist:
	rm -rf build/*.tar.gz
	python setup.py sdist -d build
	@printf "Package: "; echo build/*.tar.gz

distclean:
	rm -rf build/

=== debian/changelog ===
broccoli-python (0.63-1.1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:19:08 +0100

broccoli-python (0.63-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936240
  * Compile extension for all supported python3 versions

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Dec 2019 17:51:56 -0500

broccoli-python (0.63-1) unstable; urgency=medium

  * New upstream version 0.63
  * Bump Debhelper compat level
  * Update Vcs-* headers after migration to salsa.debian.org
  * Bump Standards-Version
  * Add Python3 package

 -- Hilko Bengen <bengen@debian.org>  Fri, 08 Feb 2019 09:08:51 +0100

=== debian/control ===
Source: broccoli-python
Section: python
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 12~),
 dh-python,
 python3-all-dev,
 libbroccoli-dev,
 swig,
Standards-Version: 4.3.0
Homepage: http://www.bro.org/
Vcs-Git: https://salsa.debian.org/bro-team/broccoli-python.git
Vcs-Browser: https://salsa.debian.org/bro-team/broccoli-python

Package: python3-broccoli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Python 3 bindings for Broccoli
 This package provides Python bindings for Broccoli, Bro's client
 communication library. In general, the bindings provide the same
 functionality as Broccoli's C API.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_configure:
	swig -python broccoli_intern.i
	dh_auto_configure

override_dh_clean:
	dh_clean broccoli_intern.c

override_dh_missing:
	dh_missing --fail-missing
